#ifndef FGGL_MATH_ECS_H
#define FGGL_MATH_ECS_H

#include <fggl/ecs2/ecs.hpp>
#include <fggl/math/types.hpp>

namespace fggl::components {

	using fggl::math::Transform;

	class Math {
		public:
			inline Math(fggl::ecs2::impl::world& ecs) {
				ecs.module<Math>();
				ecs.component<Transform>();
			}
	};
}

#endif
